Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.scheduler
Class Event

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.scheduler.Event

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

Direct Known Subclasses:
  DoNothing, ExecuteBeanShell, NotifyByMail

    public abstract class Event

extends DBPersist

Abstract superclass for event handlers

Classes implementing an event handler must derive from this one and implement the trigger method

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`protected` | `Event()`

Method Summary
`static Event` | `getEvent(JDCConnection oConn, int iDomainId, java.lang.String sEventId)`
`java.lang.String` | `getEventId()`
`protected java.util.HashMap<java.lang.String,java.lang.String>` | `parseDefaultParameters()`
`static void` | `reset()`
`static void` | `trigger(JDCConnection oConn, int iDomainId, java.lang.String sEventId, java.util.Map oParameters, java.util.Properties oEnvironment)`
`abstract void` | `trigger(JDCConnection oConn, java.util.Map oParameters, java.util.Properties oEnvironment)`

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Event

    protected Event()

Method Detail

### trigger

    public abstract void trigger(JDCConnection oConn,
                                 java.util.Map oParameters,
                                 java.util.Properties oEnvironment)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getEventId

    public java.lang.String getEventId()

### parseDefaultParameters

    protected java.util.HashMap<java.lang.String,java.lang.String> parseDefaultParameters()
                                                                                   throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### reset

    public static void reset()

### getEvent

    public static Event getEvent(JDCConnection oConn,
                                 int iDomainId,
                                 java.lang.String sEventId)
                          throws java.sql.SQLException,
                                 java.lang.InstantiationException,
                                 java.lang.IllegalAccessException,
                                 java.rmi.RemoteException

  Throws:
    `java.sql.SQLException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.rmi.RemoteException`

### trigger

    public static void trigger(JDCConnection oConn,
                               int iDomainId,
                               java.lang.String sEventId,
                               java.util.Map oParameters,
                               java.util.Properties oEnvironment)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD